Index: SPECS/SDL.spec
===================================================================
--- SPECS.orig/SDL.spec
+++ SPECS/SDL.spec
@@ -1,7 +1,7 @@
 Summary: A cross-platform multimedia library
 Name: SDL
 Version: 1.2.11
-Release: 2
+Release: 2.fa1
 Source: http://www.libsdl.org/release/%{name}-%{version}.tar.gz
 Source2: SDL_config.h
 Patch0: SDL-1.2.10-byteorder.patch
@@ -12,6 +12,7 @@ Patch21: SDL-1.2.10-multilib.patch
 Patch22: SDL-1.2.11-fixman.patch
 Patch23: SDL-1.2.11-dynamic-esd.patch
 Patch24: SDL-1.2.11-x11dyn64.patch
+Patch25: SDL-1.2.11-arm.patch
 URL: http://www.libsdl.org/
 License: LGPL
 Group: System Environment/Libraries
@@ -88,9 +89,14 @@ basearch=%{_arch}
 %ifarch %{ix86}
 basearch=i386
 %endif
+# always use arm for arm*
+%ifarch %{arm}
+basearch=arm
+%endif
 # Rename SDL_config.h
 mv %{buildroot}/%{_includedir}/SDL/SDL_config.h %{buildroot}/%{_includedir}/SDL/SDL_config-${basearch}.h
 install -m644 %{SOURCE2} %{buildroot}/%{_includedir}/SDL/SDL_config.h
+patch %{buildroot}/%{_includedir}/SDL/SDL_config.h < %{PATCH25}
 
 # remove libtool .la file
 rm -f %{buildroot}%{_libdir}/*.la
